Summary: WWW client related libraries.  HTML manipulation.
Name: LWP.pm
#we also require IO.pm via Net.pm
Packager: Michael De La Rue <miked@ed.ac.uk>
Version: 5.48
Release: 2
Copyright: As Perl:- Artistic License or GPL
Group: Development/Libraries/Perl
Source: http://www.linpro.no/lwp/libwww-perl-%{version}.tar.gz
URL: http://www.linpro.no/lwp/
Provides: LWP.pm
Requires: perl >= 5.04, perl-libnet >= 1.00
Requires: perl-HTML-Parser URI MIME-Base64 MD5.so SSLeay.pm
BuildRoot: /var/tmp/%{name}-root

%description 
Libwww-perl provides many different WWW client related functions.  It
also covers such areas as HTML parsing and generation.  It is very
useful, for example, for building WWW robots for such tasks as link
checking, HTML validation and mirroring.  

Libwww-perl also comes with programs such as HEAD and GET which
provide a command line interface to the World Wide Web.  Very useful
within scripts and other programs.

%prep
%setup -n libwww-perl-%{version}

%build
perl Makefile.PL
make OPTIMIZE="${RPM_OPT_FLAGS}"

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
find $RPM_BUILD_ROOT/usr -type f -print |\
  sed -e "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > file-list.lst


%clean
rm -rf $RPM_BUILD_DIR/libwww-perl-%{version}
rm -rf $RPM_BUILD_ROOT
rm -f file-list.lst

%files -f file-list.lst
%defattr(-,root,root)
%doc README TODO

%changelog
* Thu Apr 27 2000 Horms <horms@vergenet.net>
- Fixed so files will be installed as root even if RPM is built as non-root

* Tue Apr 25 2000 Horms <horms@vergenet.net>
- updated to version 5.48
- Fixed clean so the BUILD_DIR is actually removed

* Mon Jan 10 2000 Horms <horms@vergenet.net>
- updated to version 5.46
- Inspired by perl packages built by alien
